
QGIS Application - Bug report #20114

[processing] no cell size option for IDW interpolation alg

2018-10-15 08:01 PM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27936

Description

Not sure if it is a feature request or a bug!

In QGIS 2.18 interpolation plugin, user can set either the cell size or no. columns/rows. But in master, the IDW Interpolation which is the

closest to the plugin lacks cell size option.

Related issues:

Related to QGIS Application - Bug report # 19701: "cell size" option in TIN i... Closed 2018-08-26

Associated revisions

Revision 84d155ea - 2018-12-30 02:55 PM - Alexander Bruy

Merge pull request #8759 from alexbruy/processing-interpolation

[processing][needs-docs] Add cell size parameter to native interpolation algorithms (fix #18556, #20114)

Revision 19d8605c - 2019-01-01 08:41 AM - Alexander Bruy

Merge pull request #8770 from alexbruy/processing-backports

[processing] Add cell size parameter to native interpolation algorithms (fix #18556, #20114)

History

#1 - 2018-10-15 10:20 PM - Giovanni Manghi

- Status changed from Open to Feedback

"Duplicate" of #19701 ?

Both tools are almost unusable without a parameter for output resolution (pixel size).

#2 - 2018-10-15 10:20 PM - Giovanni Manghi

- Related to Bug report #19701: "cell size" option in TIN interpolation tool is missing added

#3 - 2018-10-15 10:29 PM - Saber Razmjooei

Hi Gio, they are two different algs. But I agree they are similar issues. As long as there is a note for devs not to forget this tool, happy to mark it duplicate

and hence closing.
#4 - 2018-10-15 10:30 PM - Giovanni Manghi

Saber Razmjooei wrote:

Hi Gio, they are two different algs. But I agree they are similar issues. As long as there is a note for devs not to forget this tool, happy to mark it

duplicate and hence closing.

that is why I wrote "duplicate" in between quotes ;)

#5 - 2018-12-30 02:54 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|84d155eaf0467204aa087b78c8b5d7a0f3d1c9bc.

#6 - 2018-12-30 02:59 PM - Alexander Bruy

- Resolution set to fixed/implemented
